﻿@page "{ArticleId=0}/{Locale=pt-BR}"
@using Microsoft.Extensions.Localization;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.Articles.Pages.IndexModel
@{
    if (Model.ArticleId == 0)
    {
        ViewData[TITLE] = StringLocalizer.GetString("NewArticle");
    }
    else
    {
        ViewData[TITLE] = StringLocalizer.GetString("ArticleManagement", Model.Input.Title);
    }
}

<form method="post">

    <div class="mt-30 mb-40">
        @await Html.PartialAsync("_ErrorSummary")

        <div class="row mt-2">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("ArticleID")</label>
                    <div class="col-sm-8">
                        @Model.ArticleId
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("CategoryType")</label>
                    <div class="col-sm-8">
                        <select class="form-select" asp-for="Input.ArticleTypeId">
                            @foreach (var item in Model.CategoryTypes)
                            {
                                <option value="@item.Id">@StringLocalizer.GetString(item.Name)</option>
                            }
                        </select>
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Category")</label>
                    <div class="col-sm-8">
                        <select class="form-select" asp-for="Input.ArticleCategoryId">
                            @foreach (var item in Model.Categories)
                            {
                                <option value="@item.Id">@StringLocalizer.GetString(item.Name)</option>
                            }
                        </select>
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Language")</label>
                    <div class="col-sm-8">
                        <select class="form-select" asp-for="Input.Locale">
                            <optgroup label="@StringLocalizer.GetString("FeaturedLanguage")">
                                @foreach (var featured in Model.FeaturedLanguages)
                                {
                                    <option value="@featured.LanguageCultureName">@featured.LanguageFullName</option>
                                }
                            </optgroup>
                            <optgroup label="@StringLocalizer.GetString("NotFeaturedLanguage")">
                                @foreach (var unFeatured in Model.UnfeaturedLanguages)
                                {
                                    <option value="@unFeatured.LanguageCultureName">@unFeatured.LanguageFullName</option>
                                }
                            </optgroup>
                        </select>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("ArticleEditor")</label>
                    <div class="col-sm-8">
                        @Model.Author
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("NotPublished")</label>
                    <div class="col-sm-8">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" asp-for="Input.NotPublished">
                            </label>
                        </div>
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("NotListed")</label>
                    <div class="col-sm-8">
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" asp-for="Input.NotListed">
                            </label>
                        </div>
                    </div>
                </div>

                <div class="row mt-2">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("PublishDate")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="Input.PublishDate">
                    </div>
                </div>
            </div>
        </div>

        <div class="row mt-2">
            <label class="control-label col-sm-2">@StringLocalizer.GetString("Title")</label>
            <div class="col-sm-10">
                <input class="form-control" asp-for="Input.Title">
            </div>
        </div>

        <div class="row mt-2">
            <label class="control-label col-sm-2">@StringLocalizer.GetString("Content")</label>
            <div class="col-sm-10">
                <textarea class="form-control" asp-for="Input.Content"></textarea>
            </div>
        </div>

        <button type="submit" class="btn btn-dark float-end mt-3">@StringLocalizer["Submit"]</button>
    </div>

</form>

@section Scripts {
    <script src="https://cdn.tiny.cloud/1/naro9bdzzj0939szj7c1mb3umgkd7r570mo692wc832gzal3/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <script>
        const ArticleIdentity = @Model.ArticleId;

        $('#Input_ArticleTypeId').change(function () {
            let value = this.value;
            $.ajax({
                url: `@Url.Action("GetActiveArticleCategoriesByType", "Articles")?type=${value}`,
                type: 'GET',
                success: function (result) {
                    $('#Input_ArticleCategoryId').empty();

                    for (let idx = 0; idx < result.length; idx++) {
                        $('#Input_ArticleCategoryId').append(`<option value="${result[idx].id}">${result[idx].name}</option>`);
                    }
                },
                error: function (result) {
                }
            });
        });

        $('#Input_Locale').change(function () {
            document.location.href = `/Panel/Admin/Articles/Article/${ArticleIdentity}/${this.value}`;
        });

        $(document).ready(function () {

            tinymce.init({
                selector: '#Input_Content',
                plugins: 'print preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
                imagetools_cors_hosts: ['picsum.photos'],
                menubar: 'file edit view insert format tools table help',
                toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
                autosave_ask_before_unload: true,
                autosave_interval: '30s',
                autosave_prefix: '{path}{query}-{id}-',
                autosave_restore_when_empty: false,
                autosave_retention: '5m',
                image_caption: true,
                quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
                height: 500,
                tinycomments_mode: 'embedded'
            });

        });
    </script>
}